{{- if .Values.serviceAccount.create -}}
{{- if .Values.rbac.create -}}
---
kind: "Role"
apiVersion: "rbac.authorization.k8s.io/v1"
metadata:
  name: {{ include "spring-demo-k8s.serviceAccountName" . }}-watcher
  labels:
    {{- include "spring-demo-k8s.labels" . | nindent 4 }}
    app.kubernetes.io/component: spring-demo-k8s
rules:
  - apiGroups:
      - ""
      - "extensions"
      - "apps"
    resources:
      - "configmaps"
      - "pods"
      - "services"
      - "endpoints"
      - "secrets"
    verbs:
      - "get"
      - "list"
      - "watch"
{{- end }}
{{- end }}
